Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.util
Class NewDirectColorModel

    java.lang.Object
      |
      +--java.awt.image.ColorModel
            |
            +--com.sun.jimi.core.util.NewDirectColorModel

public class NewDirectColorModel
extends java.awt.image.ColorModel

A ColorModel class that specifies a translation from pixel values to alpha, red, green, and blue color components for pixels which have the color components embedded directly in the bits of the pixel itself. This color model is similar to an X11 TrueColor visual.

Many of the methods in this class are final. This is because the underlying native graphics code makes assumptions about the layout and operation of this class and those assumptions are reflected in the implementations of the methods here that are marked final. You can subclass this class for other reaons, but you cannot override or modify the behaviour of those methods.

See Also:
  `ColorModel`

Fields inherited from class java.awt.image.ColorModel
`pixel_bits, transferType`

Constructor Summary
`NewDirectColorModel(int bits, int rmask, int gmask, int bmask)` Constructs a NewDirectColorModel from the given masks specifying which bits in the pixel contain the red, green and blue color components.
`NewDirectColorModel(int bits, int rmask, int gmask, int bmask, int amask)` Constructs a NewDirectColorModel from the given masks specifying which bits in the pixel contain the alhpa, red, green and blue color components.

Method Summary
`int` | `getAlpha(int pixel)` Return the alpha transparency value for the specified pixel in the range 0-255.
`int` | `getAlphaMask()` Returns the mask indicating which bits in a pixel contain the alpha transparency component.
`int` | `getBlue(int pixel)` Returns the blue color compoment for the specified pixel in the range 0-255.
`int` | `getBlueMask()` Returns the mask indicating which bits in a pixel contain the blue color component.
`int` | `getGreen(int pixel)` Returns the green color compoment for the specified pixel in the range 0-255.
`int` | `getGreenMask()` Returns the mask indicating which bits in a pixel contain the green color component.
`int` | `getRed(int pixel)` Returns the red color compoment for the specified pixel in the range 0-255.
`int` | `getRedMask()` Returns the mask indicating which bits in a pixel contain the red color component.
`int` | `getRGB(int pixel)` Returns the color of the pixel in the default RGB color model.

Methods inherited from class java.awt.image.ColorModel
`coerceData, createCompatibleSampleModel, createCompatibleWritableRaster, equals, finalize, getAlpha, getAlphaRaster, getBlue, getColorSpace, getComponents, getComponents, getComponentSize, getComponentSize, getDataElement, getDataElements, getDataElements, getGreen, getNormalizedComponents, getNumColorComponents, getNumComponents, getPixelSize, getRed, getRGB, getRGBdefault, getTransparency, getUnnormalizedComponents, hasAlpha, isAlphaPremultiplied, isCompatibleRaster, isCompatibleSampleModel, toString`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NewDirectColorModel

    public NewDirectColorModel(int bits,
                               int rmask,
                               int gmask,
                               int bmask)

  Constructs a NewDirectColorModel from the given masks specifying which bits in the pixel contain the red, green and blue color components. Pixels described by this color model will all have alpha components of 255 (fully opaque). All of the bits in each mask must be contiguous and fit in the specified number of least significant bits of the integer.

### NewDirectColorModel

    public NewDirectColorModel(int bits,
                               int rmask,
                               int gmask,
                               int bmask,
                               int amask)

  Constructs a NewDirectColorModel from the given masks specifying which bits in the pixel contain the alhpa, red, green and blue color components. All of the bits in each mask must be contiguous and fit in the specified number of least significant bits of the integer.

Method Detail

### getRedMask

    public final int getRedMask()

  Returns the mask indicating which bits in a pixel contain the red color component.

### getGreenMask

    public final int getGreenMask()

  Returns the mask indicating which bits in a pixel contain the green color component.

### getBlueMask

    public final int getBlueMask()

  Returns the mask indicating which bits in a pixel contain the blue color component.

### getAlphaMask

    public final int getAlphaMask()

  Returns the mask indicating which bits in a pixel contain the alpha transparency component.

### getRed

    public final int getRed(int pixel)

  Returns the red color compoment for the specified pixel in the range 0-255.
  Overrides:
    getRed in class java.awt.image.ColorModel

### getGreen

    public final int getGreen(int pixel)

  Returns the green color compoment for the specified pixel in the range 0-255.
  Overrides:
    getGreen in class java.awt.image.ColorModel

### getBlue

    public final int getBlue(int pixel)

  Returns the blue color compoment for the specified pixel in the range 0-255.
  Overrides:
    getBlue in class java.awt.image.ColorModel

### getAlpha

    public final int getAlpha(int pixel)

  Return the alpha transparency value for the specified pixel in the range 0-255.
  Overrides:
    getAlpha in class java.awt.image.ColorModel

### getRGB

    public final int getRGB(int pixel)

  Returns the color of the pixel in the default RGB color model.
  Overrides:
    getRGB in class java.awt.image.ColorModel
  See Also:
    `ColorModel.getRGBdefault()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD